package com.ai.da.model.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonValue;

/**
 * @Author: SHAHAIBO
 * @Date: 2023/08/01 17:21
 * @Description: 服装性别分类
 */
public enum Position implements IEnumDisplay {
    OVERALL("Overall"),
    TOPS("Tops"),
    BOTTOMS("Bottoms"),
    OUTWEAR("Outwear"),
    BLOUSE("Blouse"),
    DRESS("Dress"),
    TROUSERS("Trousers"),
    SKIRT("Skirt");

    private String value;

    Position(String value) {
        this.value = value;
    }

    @Override
    @JsonValue
    public String getValue() {
        return this.value;
    }

    public static Position getPosition(String value) {
        for (Position position : values()) {
            if (position.value.equalsIgnoreCase(value)) {
                return position;
            }
        }
        throw new IllegalArgumentException("No matching constant for [" + value + "]");
    }
}
